echo "Repka U-Boot started"
setenv load_addr "0x44500000"

if test -e mmc ${devnum} boot/repkaEnv.txt; then
  load mmc ${devnum} ${load_addr} boot/repkaEnv.txt && echo "repkaEnv.txt loaded successfully" || echo "Failed to load repkaEnv.txt"
  env import -t ${load_addr} ${filesize}
fi

if test "${console}" = "both"; then setenv consoleargs "console=ttyS0,115200 console=tty6"; fi
if test "${console}" = "display"; then setenv consoleargs "console=tty6"; fi
if test "${console}" = "serial"; then setenv consoleargs "console=ttyS0,115200"; fi

echo "current loglevel: ${loglevel}"
setenv quiet loglevel=${loglevel}
setenv bootargs ${consoleargs} Earlyprintk root=/dev/mmcblk${devnum}p1 rw rootwait panic=10 ${extra}

load mmc ${devnum} 0x44000000 boot/repka-pi.dtb && echo "repka-pi.dtb loaded successfully" || echo "Failed to load sun50i-h5-repka-pi3.dtb"

fdt addr 0x44000000
fdt resize 65536
echo "overlays: ${overlays}"
for overlay_file in ${overlays}; do
  load mmc ${devnum} ${load_addr} boot/overlays/${overlay_file}.dtbo && echo "${overlay_file}.dtbo loaded successfully" || echo "Failed to load ${overlay_file}.dtbo"
  fdt apply ${load_addr} || setenv overlay_error "true"
done

load mmc ${devnum} 0x41000000 boot/Image
booti 0x41000000 - 0x44000000